Subject: Re: [bug#54392] [PATCH] gnu: cl-3bmd: Update to 4e08d82.

From: Guillaume Le Vaillant <[email-masked]>
Date: Fri, 18 Mar 2022 09:23:15 +0000

jgart <[email-masked]> skribis:

> I've been trying to package mondo, a nice CL repl. Here's a discussion about
> it with fukumachi:
>
> https://github.com/fukamachi/mondo/issues/5
>
> I have a branch here for mondo here:
>
> https://git.sr.ht/~whereiseveryone/guixrus/tree/mondo/item/guixrus/packages/lisp.scm#L1226
>
> I was trying to use the build-program function to produce the CLI executable but
> no luck yet.
>
> I'd like to send it to upstream but I'm a bit stuck. Do you happen to know
> what I might be missing?
>
> Any help/advice is much appreciated.
>
> all best,
>
> jgart

I took a look at "mondo.asd" and I think the 'make-cli-executable' phase
could be something like the following:

--8<---------------cut here---------------start------------->8---
(lambda* (#:key outputs #:allow-other-keys)
  (build-program
   (string-append (assoc-ref outputs "out") "/bin/mondo")
   outputs
   #:dependencies '("mondo/command")
   #:entry-program '((mondo/cli:main))))
--8<---------------cut here---------------end--------------->8---

However, the 'create-swank-server' function in "src/swank/server.lisp"
tries to run the ros program, which fails because it does not exist.
Maybe you could ask upstream if another way to start the swank server
could be added to the code in case ros is not available.